Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface ElementType

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  MetamodelType, NotationType, SpecializationType

All Known Implementing Classes:
  ElementTypeImpl, MetamodelTypeImpl, NotationTypeImpl, SpecializationTypeImpl

public interface ElementType
extends EObject

A representation of the model object 'Element Type'. Base element type

The following features are supported:

- `Diagram Element`
- `Unique Identifier`
- `Display Name`
- `Defined Externally`

See Also:
  `GMFGenPackage.getElementType()`
** Generated **
Model:
  abstract="true"

Method Summary
`GenCommonBase` `getDiagramElement()` Returns the value of the 'Diagram Element' container reference.
`java.lang.String` `getDisplayName()` Returns the value of the 'Display Name' attribute
`java.lang.String` `getUniqueIdentifier()` Returns the value of the 'Unique Identifier' attribute
`boolean` `isDefinedExternally()` Returns the value of the 'Defined Externally' attribute
`void` `setDefinedExternally(boolean value)` Sets the value of the '`Defined Externally`' attribute
`void` `setDiagramElement(GenCommonBase value)` Sets the value of the '`Diagram Element`' container reference
`void` `setDisplayName(java.lang.String value)` Sets the value of the '`Display Name`' attribute
`void` `setUniqueIdentifier(java.lang.String value)` Sets the value of the '`Unique Identifier`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDiagramElement

    public GenCommonBase getDiagramElement()

  Returns the value of the 'Diagram Element' container reference. It is bidirectional and its opposite is '`Element Type`'.

  If the meaning of the 'Diagram Element' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Element' container reference.
  See Also:
    `ElementType.setDiagramElement(GenCommonBase)`, `GMFGenPackage.getElementType_DiagramElement()`, `GenCommonBase.getElementType()`
  ** Generated **
  Model:
    opposite="elementType" required="true"

### setDiagramElement

    public void setDiagramElement(GenCommonBase value)

  Sets the value of the '`Diagram Element`' container reference.

  Parameters:
    `value` - the new value of the 'Diagram Element' container reference.
  See Also:
    `ElementType.getDiagramElement()`
  ** Generated **

### getUniqueIdentifier

    public java.lang.String getUniqueIdentifier()

  Returns the value of the 'Unique Identifier' attribute.

  If the meaning of the 'Unique Identifier' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Unique Identifier' attribute.
  See Also:
    `ElementType.setUniqueIdentifier(String)`, `GMFGenPackage.getElementType_UniqueIdentifier()`
  ** Generated **
  Model:
    required="true"

### setUniqueIdentifier

    public void setUniqueIdentifier(java.lang.String value)

  Sets the value of the '`Unique Identifier`' attribute.

  Parameters:
    `value` - the new value of the 'Unique Identifier' attribute.
  See Also:
    `ElementType.getUniqueIdentifier()`
  ** Generated **

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the value of the 'Display Name' attribute. When there's palette, defaults to title of first tool that uses element with this type

  Returns:
    the value of the 'Display Name' attribute.
  See Also:
    `ElementType.setDisplayName(String)`, `GMFGenPackage.getElementType_DisplayName()`
  ** Generated **
  Model:

### setDisplayName

    public void setDisplayName(java.lang.String value)

  Sets the value of the '`Display Name`' attribute.

  Parameters:
    `value` - the new value of the 'Display Name' attribute.
  See Also:
    `ElementType.getDisplayName()`
  ** Generated **

### isDefinedExternally

    public boolean isDefinedExternally()

  Returns the value of the 'Defined Externally' attribute.

  If the meaning of the 'Defined Externally' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Defined Externally' attribute.
  See Also:
    `ElementType.setDefinedExternally(boolean)`, `GMFGenPackage.getElementType_DefinedExternally()`
  ** Generated **
  Model:

### setDefinedExternally

    public void setDefinedExternally(boolean value)

  Sets the value of the '`Defined Externally`' attribute.

  Parameters:
    `value` - the new value of the 'Defined Externally' attribute.
  See Also:
    `ElementType.isDefinedExternally()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.